[Forgot Password]
Login  Register Subscribe

23631

 
 

126941

 
 

98503

 
 

909

 
 

79321

 
 

109

Paid content will be excluded from the download.


Download | Alert*
OVAL

MDVSA-2010:028 -- Mandriva kdelibs4

ID: oval:org.secpod.oval:def:300140Date: (C)2012-01-07   (M)2017-10-04
Class: PATCHFamily: unix




Multiple vulnerabilities was discovered and corrected in kdelibs4: KDE KSSL in kdelibs 3.5.4, 4.2.4, and 4.3 does not properly handle a \"\0\" character in a domain name in the Subject Alternative Name field of an X.509 certificate, which allows man-in-the-middle attackers to spoof arbitrary SSL servers via a crafted certificate issued by a legitimate Certification Authority, a related issue to CVE-2009-2408 . KDE Konqueror allows remote attackers to cause a denial of service via a large integer value for the length property of a Select object, a related issue to CVE-2009-1692 . The gdtoa implementation in gdtoa/misc.c in libc in FreeBSD 6.4 and 7.2, NetBSD 5.0, and OpenBSD 4.5 allows context-dependent attackers to cause a denial of service or possibly have unspecified other impact via a large precision value in the format argument to a printf function, related to an array overrun. The updated packages have been patched to correct these issues.

Platform:
Mandriva Linux 2010.0
Product:
kdelibs4
Reference:
MDVSA-2010:028
CVE-2009-0689
CVE-2009-2537
CVE-2009-2702
CVE    3
CVE-2009-2537
CVE-2009-2702
CVE-2009-0689
CPE    22
cpe:/o:openbsd:openbsd:4.5
cpe:/o:freebsd:freebsd:7.2
cpe:/o:freebsd:freebsd:6.4
cpe:/a:mozilla:firefox:3.0.4
...

© 2013 SecPod Technologies